package ink.wgink.pojo.pos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: PositionDTO
 * @Description: 职位
 * @Author: admin
 * @Date: 2019-04-11 22:26:35
 * @Version: 1.0
 **/
@ApiModel
public class PositionPO implements Serializable {

    private static final long serialVersionUID = -5318932065913958158L;
    @ApiModelProperty(name = "positionId", value = "职位ID")
    private String positionId;
    @ApiModelProperty(name = "positionParentId", value = "职位上级ID")
    private String positionParentId;
    @ApiModelProperty(name = "positionParentName", value = "职位上级名称")
    private String positionParentName;
    @ApiModelProperty(name = "isParent", value = "是否父级")
    private Boolean isParent;
    @ApiModelProperty(name = "positionName", value = "职位名称")
    private String positionName;
    @ApiModelProperty(name = "positionSummary", value = "职位说明")
    private String positionSummary;
    @ApiModelProperty(name = "positionCode", value = "职位编码")
    private String positionCode;
    @ApiModelProperty(name = "positionNameEn", value = "英文名称")
    private String positionNameEn;

    public String getPositionId() {
        return positionId == null ? "" : positionId.trim();
    }

    public void setPositionId(String positionId) {
        this.positionId = positionId;
    }

    public String getPositionParentId() {
        return positionParentId == null ? "" : positionParentId.trim();
    }

    public void setPositionParentId(String positionParentId) {
        this.positionParentId = positionParentId;
    }

    public String getPositionParentName() {
        return positionParentName == null ? "" : positionParentName.trim();
    }

    public void setPositionParentName(String positionParentName) {
        this.positionParentName = positionParentName;
    }

    public Boolean getParent() {
        return isParent;
    }

    public void setParent(Boolean parent) {
        isParent = parent;
    }

    public String getPositionName() {
        return positionName == null ? "" : positionName.trim();
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getPositionSummary() {
        return positionSummary == null ? "" : positionSummary.trim();
    }

    public void setPositionSummary(String positionSummary) {
        this.positionSummary = positionSummary;
    }

    public String getPositionCode() {
        return positionCode == null ? "" : positionCode.trim();
    }

    public void setPositionCode(String positionCode) {
        this.positionCode = positionCode;
    }

    public String getPositionNameEn() {
        return positionNameEn == null ? "" : positionNameEn.trim();
    }

    public void setPositionNameEn(String positionNameEn) {
        this.positionNameEn = positionNameEn;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"positionId\":")
                .append("\"").append(positionId).append("\"");
        sb.append(",\"positionParentId\":")
                .append("\"").append(positionParentId).append("\"");
        sb.append(",\"positionParentName\":")
                .append("\"").append(positionParentName).append("\"");
        sb.append(",\"isParent\":")
                .append(isParent);
        sb.append(",\"positionName\":")
                .append("\"").append(positionName).append("\"");
        sb.append(",\"positionSummary\":")
                .append("\"").append(positionSummary).append("\"");
        sb.append(",\"positionCode\":")
                .append("\"").append(positionCode).append("\"");
        sb.append(",\"positionNameEn\":")
                .append("\"").append(positionNameEn).append("\"");
        sb.append('}');
        return sb.toString();
    }
}